<?php

/* Video einbinden per Lizenzfreiem FLV Player http://www.flv-player.net
 * Einbindung von FLV-Videos aus dem Unterordner video
 * (nutzt dazu die Flash-Lösung FLV Player anstatt den standardmäßigen JW Player)
 *
 * @version 1.0
 * @date 2008-12-28
 * @author Matthias Fleischer
 * @copyright 2008 by MFD|WEB http://www.mfdweb.de
 * @lizenz CreativeCommons cc-by-sa 3.0 de (Namensnennung-Weitergabe unter gleichen Bedingungen 3.0 Deutschland) http://creativecommons.org/licenses/by-sa/3.0/de/
 */

defined('CMBASIC') or die();
preg_match_all("/{((video),(.*?))}/i", $acticon, $videofund);
$flvcount = 1;
foreach ($videofund[1] as $videopara_komp) {
    $videopara = explode(",", $videopara_komp);

    if (!empty($videopara[1])) {
        $videofile = "$videopara[1]";
        if (file_exists('video/' . $videofile)) {
            $fp = fopen('video/' . $videofile, 'r');
            fseek($fp, 27);
            $onMetaData = fread($fp, 10);
            if ($onMetaData == 'onMetaData') {
                fseek($fp, 16, SEEK_CUR);
                $flv_meta['duration'] = array_shift(unpack('d', strrev(fread($fp, 8))));
                fseek($fp, 8, SEEK_CUR);
                $flv_meta['width'] = array_shift(unpack('d', strrev(fread($fp, 8))));
                fseek($fp, 9, SEEK_CUR);
                $flv_meta['height'] = array_shift(unpack('d', strrev(fread($fp, 8))));
            } else $flv_meta = array('duration' => 0, 'width' => 300, 'height' => 200);
        }
    }
    if (!empty($videopara[2])) {
        $videowidth = "$videopara[2]";
        $videoadd = ",$videopara[2]";
    } else $videowidth = $flv_meta['width'];
    if (!empty($videopara[3])) {
        $videoheight = "$videopara[3]";
        $videoadd .= ",$videopara[3]";
    } else $videoheight = $flv_meta['height'];
    if (!empty($videopara[4])) {
        $previewfile = "&amp;startimage=$videopara[4]";
        $videoadd .= ",$videopara[4]";
    }

    $videocode = <<<VIDEOCODE
<object id="video_{$flvcount}" type="application/x-shockwave-flash" data="video/player.swf" width="{$videowidth}" height="{$videoheight}">
    <param name="movie" value="video/player.swf" />
    <param name="allowFullScreen" value="true" />
    <param name="FlashVars" value="flv={$videofile}{$previewfile}&amp;autoload=1&amp;margin=1&amp;showstop=1&amp;showvolume=1&amp;showfullscreen=1&amp;playercolor=333333&amp;loadingcolor=ffffff&amp;buttoncolor=cccccc&amp;buttonovercolor=ffffff&amp;slidercolor1=999999&amp;slidercolor2=666666&amp;sliderovercolor=cccccc&amp;showiconplay=1&amp;iconplaycolor=cccccc&amp;iconplaybgcolor=333333" />
</object>
VIDEOCODE;

    $muster = "|{video,$videopara[1]$videoadd}|";
    $acticon = preg_replace($muster, $videocode, $acticon);
    $flvcount++;
}

?>