<?php
if (isset($_SESSION[CMBASICLOG]) && $_SESSION[CMBASICLOG] === true &&
isset($_SESSION['rights']) && ($_SESSION['rights'] == 3 || $_SESSION['rights'] == 4)) {
echo <<<FIRSTSTEPS
<hr><h3>Erstellen Sie ein Backup</h3>
<p>Wir empfehlen Ihnen, von Zeit zu Zeit ein <b>Backup</b> auf Ihrem lokalen PC zu speichern:</p>
<div><a href="cmbasic_backup.php"
title="Speichern Sie ein Backup der Datenbanktabellen auf Ihrem Rechner">Backupdatei jetzt herunterladen</a> ... erstellt einen sogenannten SQL-Dump Ihrer Site</div>
<p>Dabei sichern Sie alle Datenbanktabellen, aber nicht die Abbildungen.</p>
<hr>
<div class="firststeps">
<h2>Erste Schritte mit CMBasic</h2>
<p><img src="css/firststeps.gif" width="158" height="137" border="0" alt="Erste Schritte" align="right">Für ein erstes Aha-Erlebnis gehen Sie doch gleich einmal ins Frontend! Hier können Sie nun alle Datensätze bequem über einen Word-ähnlichen HTML-Editor bearbeiten: Klicken Sie einfach auf <b>Bearbeiten</b>!</p>
<h3>Neue Datensätze anlegen bzw. löschen</h3>
<p>... können Sie u.a. im Bereich <b>Content</b> über die Schaltflächen <b>Neu</b> bzw. <b>Editieren</b>. Das Bearbeiten Ihrer Einträge sollten Sie jedoch im Frontend (auf der Vorderseite) vornehmen, da nur hier unser HTML-Editor eingebunden wurde. Beachten Sie, dass jeder Datensatz einen eindeutigen und abweichenden <b>URLAnhang</b> benötigt. Verzichten Sie bei der Namensvergabe auf Leerzeichen, Umlaute und Sonderzeichen! Die Sortierung können Sie über die Felder <b>Ebene1</b> und <b>Ebene2</b> vornehmen. Je höher die Zahl, desto tiefer erscheint der Eintrag. 
<h3>Bilder verwalten und hochladen</h3>
<p>... können Sie in der <b>Bildverwaltung</b>. Beachten Sie, dass verständlicherweise nur die Formate .gif, .jpg und .png zugelassen sind. Die Breite eines Bildes darf nicht größer als 600 Pixel sein.
<h3>Das Anlegen von Kästen</h3>
<p>... gelingt im Bereich <b>Kästen</b>. Geben Sie eine eindeutige <b>KastenNr</b> an und schreiben Sie den gewünschten Text. Falls Sie diesen Kasten zuweisen möchten, bearbeiten Sie den gewünschten Eintrag und geben die <b>KastenNr</b> an.
<h3>Nutzerverwaltung und Passwörter</h3>
<p>Im Bereich <b>Nutzer</b> können Sie Nutzernamen und Passwort ändern, neue Nutzer einrichten und die Rechte festlegen. Ein <b>Administrator</b> (Berechtigungsstufe 3) darf alle Datensätze bearbeiten, Kästen anlegen und die Bildverwaltung nutzen. Erst ein <b>Superadmin</b> (Berechtigungsstufe 4) kann aber auch Nutzer einrichten, Freigaben erteilen oder SQL-Befehle eingeben.
<p class="tipp">Wichtig: Ändern Sie unbedingt Ihr Passwort!</p>
<h3>Rechte zuweisen</h3>
<p>Ein neuer Nutzer, egal ob Berechtigungsstufe 1 oder 2, darf erst einmal gar nichts. Damit sie oder er auf einen Datensatz zugreifen kann, müssen Sie diesen freigeben. Dazu müssen Sie als Superadmin eingeloggt sein. Das gelingt dann im Bereich <b>Freigabe</b>. Wählen Sie <b>URLAnhang</b> und <b>user</b> aus!</p>
<hr>
<h2>Die Lizenz von CMBasic</h2>
<div>Wir veröffentlichen CMBasic als Freeware unter der GPL, der <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a>. Das bietet Ihnen u.a. die Freiheit, den Quellcode einzusehen und das Programm an Ihre Bedürfnisse anzupassen. Änderungen müssen Sie dann jedoch auch unter die GPL oder eine kompatible Lizenz stellen. Sie dürfen also eine veränderte (angepasste) Version dieses Programms nicht verkaufen, wohl aber für die Dienstleistung der Einrichtung Geld verlagen.</div>

<p class="tipp">CMBasic. Das kinderleichte Content-Management-System,
Copyright (C) 2006-2007 Johann-Christian Hanke, <a href="http://www.jchanke.de" target="_blank" class='normal'>www.jchanke.de</a>.</p>

<p>This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.</p>

<p>This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.</p>

<p>You should have <a href="http://www.gnu.org/licenses/gpl.html" target="_top">received</a> a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.</p>

<h3>Credits</h3>
<div>CMBasic verwendet als HTML-Editor TinyMCE der Firma Moxiecode AB und für die Datenverwaltung den MySQL TableEditor von Richard Heyes. Das Backup-Modul stammt von Vagharshak Tozalak. Der 1-Pixel-Out-MP3-Player stammt von Martin Laine, für die Lightbox-Bildergalerie kommmt das JavaScript-Framework MooTools zum Einsatz. Der JW FLV Media Player stammt von Jeroen Wijering. Das RSS-Modul und das Google-Map-Skript hat Matthias Fleischer (mfdweb.de) zur Verfügung gestellt. Alle genannten Programme sind Freeware bzw. Open Source, der JW FLV Media Player ist allerdings nur für private Zwecke kostenlos. Die deutsche Übersetzung vom TableEditor stammt von uns.</div>

</div>
FIRSTSTEPS;
}
?>